Subject: Bug#1439: [X2Go-Dev] Bug#1439: latest release of x2goclient for Ubuntu has dependency on hello

From: Mike Gabriel <[email-masked]>
Date: Fri, 21 Feb 2020 14:05:30 +0000

Hi Mihai,

On  Sa 15 Feb 2020 17:00:27 CET, Mihai Moldovan wrote:

> * On 2/15/20 4:23 PM, Ulrich Sibiller wrote:
>> 1. why choose hello and not something that's on the system anyway,
>> like the kernel or bin-utils or some X package?
>
> I'm not a DD, so my answer isn't authoritative and Mike#1 can  
> probably explain
> this better, but optionaldep | hello seems to be a very common  
> pattern in Debian
> packaging. If a DD sees such a dependency, he'll recognize it and its meaning
> immediately.
>
> Depending on a package in the base system set (i.e., those marked  
> "essential")
> MIGHT be easier, but this is seems to be generally frowned upon  
> because it makes
> degrading essential-set packages to optional ones more difficult, if I recall
> correctly. I've also read that normal (i.e., optional, non-core/essential)
> packages should generally NOT depend upon packages in the  
> essential-set but just
> assume them to available unconditionally.
>
>
>> 2. why do you want to mak x2gokdriveclient (or is it x2gokdrive?)  a
>> hard dependency? Nobody needs it unless he's wants to use it. People
>> can use x2go without it. So I see it as optional either way...
>
> Hm, Mike#1 wanted it to be a hard dependency, but moving it to  
> Recommends might
> make sense after all, since other software that X2Go Client *can*  
> make use of,
> like FreeRDP2, is also not strictly necessary and merely a  
> recommended package.
>
> Note that Debian installs recommended packages by default (unless users
> explicitly configure or tell the package manager not to do this), so user
> experience wouldn't be affected by that change anyway.
>
>
>
> Mihai

let's please make a Recommends: relation out of this here.

Whenever x2gokdriveclient has been released, then we can still switch  
this to Depends:.

Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de